Update Segmentation Session

Update Segmentation Session
Update segmentation session

Updates a segmentation session. This endpoint is used to trigger actions on the session such as starting analysis. If an action can be cancelled, such as analysis, then the action can be cancelled by setting the corresponding cancel action.

Only the 'action' field is writable. All other fields, including those inherited from ManagedResource (such as display_name, description, tags, etc.), are read-only and will be ignored if provided in the request. The _revision field from ManagedResource must be provided for optimistic locking and is auto-incremented by the server.

Notes

  • There are 4 separate actions that a user can invoke on the session PARSE_FILE, START_ANALYSIS, RERUN_ANALYSIS, CANCEL_ANALYSIS
  • File Validation happens implicitly on file upload as part of session creation, details for this are in POST /segmentation.
  • PARSE_FILE: requires status to be FILE_READY_TO_PARSE. Ensure CSV column mappings are configured via PUT /{session-id}/settings first. Poll GET /{session-id}/status until FILE_PARSED or FILE_PARSING_ERROR.
  • START_ANALYSIS: for starting a fresh analysis after a successful parsing of the csv file. Requires status to be FILE_PARSED. Poll GET /{session-id}/status until ANALYSIS_SUCCESS or ANALYSIS_ERROR after triggering.
  • RERUN_ANALYSIS: for rerunning the analysis. Requires status to be ANALYSIS_SUCCESS or ANALYSIS_ERROR. Poll GET /{session-id}/status until ANALYSIS_SUCCESS or ANALYSIS_ERROR after triggering.
  • CANCEL_ANALYSIS: for cancelling an analysis which is pending or already in progress. Requires status to be ANALYSIS_PENDING or ANALYSIS_IN_PROGRESS .
  • Returns 202 on success along with /{session-id}/status url on which to poll the triggered action.
Request
URI
PUT
https://{api_host}/ssp/segmentation/{session-id}
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session


Request Body

Segmentation session object with updated fields

SegmentationSession of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineSegmentationSession1
{
    "action": "PARSE_FILE",
    "_create_user": "admin",
    "_create_time": 1781138986293,
    "_last_modified_user": "admin",
    "_last_modified_time": 1781138986293,
    "_revision": 0
}
Authentication
This operation uses the following authentication methods.
Responses
202

Update accepted and processing asynchronously

Returns AsyncApiResponse of type(s) application/json
{
    "id": "aaaa1111-bbbb-2222-cccc-3333dddd4444",
    "status_url": "/segmentation/aaaa1111-bbbb-2222-cccc-3333dddd4444/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"action":"string"}' https://{api_host}/ssp/segmentation/{session-id}